DestinationsList destinations

List destinations

List the calling location's destinations, newest first. Both agency (ak_) and viewer (sk_) keys may read. For viewer keys, webhook action_config secrets (headers values and body_template) are redacted to ***.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/destinations?type=webhook&enabled=true" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "tenant_key": "example_string",
      "name": "Purchase → Meta",
      "action_type": "webhook",
      "trigger_rules": {
        "operator": "AND",
        "rules": [
          {
            "type": "mythic_event",
            "eventName": "purchase",
            "operator": "equals"
          }
        ]
      },
      "action_config": {},
      "enabled": true,
      "rate_limit_max": 42,
      "rate_limit_window_seconds": 42,
      "trigger_count": 10,
      "last_triggered_at": "2024-12-25T10:00:00Z",
      "last_error": "example_string",
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z"
    }
  ]
}
GET
/client/v1/destinations
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Client key as bearer token. Use an agency key (Bearer ak_...) for read-write access or a location secret key (Bearer sk_...) for read-only access. Scoped keys (mcp_) are accepted too and need destinations:read or destinations:write. See Using an mcp_ key over HTTP.

Client key as bearer token. Use an agency key (Bearer ak_...) for read-write access or a location secret key (Bearer sk_...) for read-only access. Scoped keys (mcp_) are accepted too and need destinations:read or destinations:write. See Using an mcp_ key over HTTP.
query
typestring

Filter by destination type.

Options: webhook, meta_capi, google_ads, google_analytics, openai_ads, convert_experiments
query
enabledstring

Filter by enabled state. Pass true or false.

Options: true, false
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Client key as bearer token. Use an agency key (Bearer ak_...) for read-write access or a location secret key (Bearer sk_...) for read-only access. Scoped keys (mcp_) are accepted too and need destinations:read or destinations:write. See Using an mcp_ key over HTTP.

Query Parameters

typestring

Filter by destination type.

Allowed values:webhookmeta_capigoogle_adsgoogle_analyticsopenai_adsconvert_experiments
enabledstring

Filter by enabled state. Pass true or false.

Allowed values:truefalse

Responses

successboolean
dataarray